Bug 1469951 - (perl-XML-LibXML-PrettyPrint) Review Request: perl-XML-LibXML-PrettyPrint - Add pleasant white space to an XML tree
Review Request: perl-XML-LibXML-PrettyPrint - Add pleasant white space to an ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: DeepinDEPackageReview deepin-gettext-tools
  Show dependency treegraph
 
Reported: 2017-07-12 02:46 EDT by Petr Pisar
Modified: 2017-12-31 20:45 EST (History)
3 users (show)

See Also:
Fixed In Version: perl-XML-LibXML-PrettyPrint-0.006-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-27 12:52:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2017-07-12 02:46:57 EDT
Spec URL: https://ppisar.fedorapeople.org/perl-XML-LibXML-PrettyPrint/perl-XML-LibXML-PrettyPrint.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-XML-LibXML-PrettyPrint/perl-XML-LibXML-PrettyPrint-0.006-1.fc27.src.rpm
Description:
XML::LibXML::PrettyPrint is a Perl module that can be applied to an
XML::LibXML DOM tree to reformat it into a more readable result.

Fedora Account System Username: ppisar
Comment 1 Jitka Plesnikova 2017-07-12 03:02:56 EDT
perl-generators are missing in BR.
Comment 2 Petr Pisar 2017-07-12 03:08:52 EDT
Updated package is on the same address.
Comment 3 Jitka Plesnikova 2017-07-12 09:53:28 EDT
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-XML-LibXML-PrettyPrint-0.006-1.fc27.noarch.rpm | sort | uniq -c
      1 perl(Carp) >= 0
      1 perl(constant)
      1 perl(Exporter::Tiny)
      1 perl(IO::Handle) >= 0
      1 perl(:MODULE_COMPAT_5.26.0)
      1 perl(Scalar::Util) >= 0
      1 perl(strict)
      1 perl(utf8)
      1 perl(:VERSION) >= 5.8.1
      1 perl(warnings)
      1 perl(XML::LibXML) >= 1.62
      1 perl(XML::LibXML::PrettyPrint)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 /usr/bin/perl
Binary requires are Ok.

$ rpm -qp --provides perl-XML-LibXML-PrettyPrint-0.006-1.fc27.noarch.rpm | sort | uniq -c
      1 perl(XML::LibXML::PrettyPrint) = 0.006
      1 perl-XML-LibXML-PrettyPrint = 0.006-1.fc27
Binary provides are Ok.

$ rpmlint ./perl-XML-LibXML-PrettyPrint*
perl-XML-LibXML-PrettyPrint.noarch: W: invalid-license Artistic
perl-XML-LibXML-PrettyPrint.src: W: invalid-license Artistic
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Rpmlint is ok (It seems the license is not processed properly)

The package looks good.
Approved
Comment 4 Gwyn Ciesla 2017-07-13 08:13:00 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-XML-LibXML-PrettyPrint
Comment 5 Petr Pisar 2017-07-13 09:02:20 EDT
Thank you for the review and the repository.
Comment 6 Zbigniew Jędrzejewski-Szmek 2017-07-18 18:38:02 EDT
Any chance you could build this for F26 too? It'll simplify testing of the Deepin packages.
Comment 7 Petr Pisar 2017-07-19 05:03:06 EDT
No problem. I will build it into F26 too.
Comment 8 Fedora Update System 2017-07-19 05:17:55 EDT
perl-XML-LibXML-PrettyPrint-0.006-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea187703a2
Comment 9 Fedora Update System 2017-07-19 20:26:11 EDT
perl-XML-LibXML-PrettyPrint-0.006-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea187703a2
Comment 10 Fedora Update System 2017-07-27 12:52:53 EDT
perl-XML-LibXML-PrettyPrint-0.006-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.